# QuickHashIntHash::update

(PECL quickhash >= Unknown)

QuickHashIntHash::update — Cette méthode met à jour une entrée dans le hachage avec une nouvelle valeur

### Description

public QuickHashIntHash::update(int `$key`, int `$value`): bool

Cette méthode met à jour une entrée avec une nouvelle valeur, et retourne si l'entrée a été mise à jour. Si des clés en double sont présentes, seul le premier élément trouvé sera mis à jour. Utilisez `QuickHashIntHash::CHECK_FOR_DUPES` lors de la création du hachage pour empêcher les clés en double de faire partie du hachage.

### Liste de paramètres

`key`

  La clé de l'entrée à mettre à jour.

`value`

  La nouvelle valeur pour mettre à jour l'entrée.

### Valeurs de retour

`true` lorsque l'entrée a été trouvée et mise à jour, et `false` si l'entrée n'était pas déjà présente dans le hachage.

### Exemples

Exemple #1 Exemple de QuickHashIntHash::update()

`<?php
$hash = new QuickHashIntHash( 1024 );
var_dump( $hash->add( 141421, 173205 ) );
var_dump( $hash->update( 141421, 223606 ) );
var_dump( $hash->get( 141421 ) );
?>`

Résultat de l'exemple ci-dessus est similaire à :

    bool(true)
    bool(true)
    int(223606)